﻿<Window x:Name="mainWin" x:Class="DataBindingSliderTextbox.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:DataBindingSliderTextbox"
        mc:Ignorable="d"
        Title="Bind Slider" Height="132.222" Width="289.722" FontSize="14" FontWeight="Bold">
    <Grid>
        <Grid.RowDefinitions>
            <RowDefinition Height="10" />
            <RowDefinition Height="*" />
            <RowDefinition Height="10" />
            <RowDefinition Height="*" />
            <RowDefinition Height="10" />
        </Grid.RowDefinitions>

        <TextBox
            Name="textBox"
            Grid.Row="1"
            Text="{Binding ElementName=slider, Path=Value, UpdateSourceTrigger=PropertyChanged}"
        />
        
        <Slider 
            Name="slider"
            Grid.Row="3"
            Maximum="100"
            TickPlacement="BottomRight"
            TickFrequency="5"
            IsSnapToTickEnabled="True"
        />
        <!--Value="{Binding ElementName=textBox, Path=Text}"-->
    </Grid>
</Window>
